Your message dated Fri, 28 Nov 2014 21:22:14 +0000
with message-id <e1xuszw-0001kc...@franck.debian.org>
and subject line Bug#763994: fixed in eclipse 3.8.1-7
has caused the Debian Bug report #763994,
regarding eclipse: no java or c++ project available in file>new
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
763994: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=763994
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: eclipse
Version: 3.8.1-6
Severity: grave
Justification: renders package unusable

Dear Maintainer,
I see no option for Java or C++ Project in File>New.
There is only: Project | Folder, File, Untitled Text File | Other...
This situation is on two machines:
-- fresh installation of eclipse
-- old installation, constantly updated by APT, by not used in two
years, fresh workspace

>From other bug reports i've learnt that sat4j causes probles but
after downgrading to 2.3.1-1 and 2.3.0-3 the situation is the same.

It's almost the same as bug 735096 (another architecture configuration and
package version).
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=735096

But this leads rather to Equinox Provisioning Engine:
$ cat workspace/.metadata/.log
!SESSION 2014-09-28 21:30:33.966
-----------------------------------------------
eclipse.buildId=debbuild
java.version=1.7.0_65
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=pl_PL
Command-line arguments:  -os linux -ws gtk -arch x86

!ENTRY org.eclipse.equinox.p2.engine 4 4 2014-09-28 21:30:42.835
!MESSAGE An error occurred while installing the items
!SUBENTRY 1 org.eclipse.equinox.p2.engine 4 0 2014-09-28 21:30:42.835
!MESSAGE session context was:(profile=PlatformProfile,
phase=org.eclipse.equinox.internal.p2.engine.phases.Install, operand=null -->
[R]org.eclipse.help.feature.jar 1.4.1.dist-8v7oFRvFCmSPZkILLj597H,
action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.InstallFeatureAction).
!SUBENTRY 1 org.eclipse.equinox.p2.touchpoint.eclipse 4 0 2014-09-28
21:30:42.835
!MESSAGE The artifact file for
org.eclipse.update.feature,org.eclipse.help,1.4.1.dist-8v7oFRvFCmSPZkILLj597H
was not found.

Version of eclipse-cdt 8.4.0-1
$ ls /usr/share/eclipse/dropins
 cdt  jdt  sdk

Thank you for your help
semmreh



-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (x86_64)
Foreign Architectures: amd64

Kernel: Linux 3.16-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages eclipse depends on:
ii  eclipse-jdt  3.8.1-6
ii  eclipse-pde  3.8.1-6

eclipse recommends no packages.

eclipse suggests no packages.

Versions of packages eclipse-platform depends on:
ii  ant                            1.9.4-1
ii  ant-optional                   1.9.4-1
ii  default-jre [java6-runtime]    2:1.7-52
ii  eclipse-platform-data          3.8.1-6
ii  eclipse-rcp                    3.8.1-6
ii  gconf-service                  3.2.6-3
ii  java-common                    0.52
ii  libc6                          2.19-11
ii  libcommons-codec-java          1.9-1
ii  libcommons-httpclient-java     3.1-10.2
ii  libcommons-logging-java        1.2-1
ii  libgconf-2-4                   3.2.6-3
ii  libglib2.0-0                   2.40.0-5
ii  libjetty8-java                 8.1.16-1
ii  libjsch-java                   0.1.51-1
ii  liblucene2-java                2.9.4+ds1-4
ii  libservlet3.0-java             7.0.55-1
ii  multiarch-support              2.19-11
ii  openjdk-7-jre [java6-runtime]  7u65-2.5.2-3
ii  sat4j                          2.3.3-1

Versions of packages eclipse-platform recommends:
ii  eclipse-pde  3.8.1-6

Versions of packages eclipse-platform suggests:
ii  eclipse-jdt  3.8.1-6

Versions of packages eclipse-pde depends on:
ii  default-jre [java6-runtime]    2:1.7-52
ii  eclipse-jdt                    3.8.1-6
ii  eclipse-platform               3.8.1-6
ii  libasm3-java                   3.3.2-2
ii  openjdk-7-jre [java6-runtime]  7u65-2.5.2-3

eclipse-pde suggests no packages.

Versions of packages eclipse-jdt depends on:
ii  default-jre [java6-runtime]    2:1.7-52
ii  eclipse-platform               3.8.1-6
ii  junit                          3.8.2-8
ii  junit4                         4.11-3
ii  libhamcrest-java               1.3-5
ii  openjdk-7-jre [java6-runtime]  7u65-2.5.2-3

Versions of packages eclipse-jdt recommends:
ii  default-jdk  2:1.7-52

eclipse-jdt suggests no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: eclipse
Source-Version: 3.8.1-7

We believe that the bug you reported is fixed in the latest version of
eclipse, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 763...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <a...@gambaru.de> (supplier of updated eclipse package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 24 Nov 2014 02:31:41 +0100
Source: eclipse
Binary: eclipse eclipse-jdt eclipse-pde eclipse-platform eclipse-platform-data 
eclipse-rcp libequinox-osgi-java
Architecture: source all amd64
Version: 3.8.1-7
Distribution: unstable
Urgency: medium
Maintainer: Debian Orbital Alignment Team 
<pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Markus Koschany <a...@gambaru.de>
Description:
 eclipse    - Extensible Tool Platform and Java IDE
 eclipse-jdt - Eclipse Java Development Tools (JDT)
 eclipse-pde - Eclipse Plug-in Development Environment (PDE)
 eclipse-platform - Eclipse platform without development plug-ins
 eclipse-platform-data - Eclipse platform without development plug-ins (data)
 eclipse-rcp - Eclipse Rich Client Platform (RCP)
 libequinox-osgi-java - Equinox OSGi framework
Closes: 763994 770457
Changes:
 eclipse (3.8.1-7) unstable; urgency=medium
 .
   * Team upload.
   * Install all arch-dependent files into eclipse-rcp correctly by renaming
     override_dh_install to override_dh_install-arch.
     Fix wrong override for dh_install-indep and move jh_classpath commands
     to the appropriate override target. (Closes: #770457, #763994)
Checksums-Sha1:
 3e1955ed0cd034d16249cf6bc49ac028f31792b0 3086 eclipse_3.8.1-7.dsc
 d9a1b11eb40cf7a8aa440eacd9dcea7e3be3c24d 100224 eclipse_3.8.1-7.debian.tar.xz
 3f56d178ee061b207250eb77bdcf0fecbfdf26d7 54626 eclipse_3.8.1-7_all.deb
 5edfab783784410ca1ff6e335cd2502ba36a274e 20711638 eclipse-jdt_3.8.1-7_all.deb
 cce2cd83dba409ce613de1ffe1e5366fc32f5216 65457168 eclipse-pde_3.8.1-7_amd64.deb
 80a9d3aaa20799b53469491f8a7f38cc0696c065 148220 
eclipse-platform_3.8.1-7_amd64.deb
 5a0ab980c934f9f4139a0b2032a316413086c850 33397844 
eclipse-platform-data_3.8.1-7_all.deb
 44ba3cd399453ec7be223c749ddc97fe7186c263 7038904 eclipse-rcp_3.8.1-7_amd64.deb
 c1b0d08d6720cfb7abc31a84feb5ac569419cb01 1368978 
libequinox-osgi-java_3.8.1-7_all.deb
Checksums-Sha256:
 5c4f094e0edec99af324eef1012bea4b59eb41c89eedc3f1a5144f3f1357a439 3086 
eclipse_3.8.1-7.dsc
 e12edb68e1e49f08067f217e7af2a093881708753caae5ca8b4b4ed14acaa58e 100224 
eclipse_3.8.1-7.debian.tar.xz
 6fed5272d23f505499cf78af49c975e163a6d27ce16b9d92c8f2b6e3b1c1f6fe 54626 
eclipse_3.8.1-7_all.deb
 701a630bce8a23f07a00fdeec65b9a9b6a2af3a960bdaacc59929bfbf5103e7c 20711638 
eclipse-jdt_3.8.1-7_all.deb
 1afd6e869e5ba98b8f477546eb847b4ef737e7c84a6d8c5207e05e670e413557 65457168 
eclipse-pde_3.8.1-7_amd64.deb
 1027fea0f9ff24cf5513c6ee41f773e816e63336ebfaa95ca0e55d4216ac07b4 148220 
eclipse-platform_3.8.1-7_amd64.deb
 0da33e849926b625f24470fe995178543259805df5f4bed74723f8863b6deee5 33397844 
eclipse-platform-data_3.8.1-7_all.deb
 48e350e4333ca06fd01efc471ed1aad1c6ee3957123c827a3e07f753980abd15 7038904 
eclipse-rcp_3.8.1-7_amd64.deb
 516deb02fe6537b3d6efdf72b719c1ee40e12e59ea7a5e9fa8dd385df01c82af 1368978 
libequinox-osgi-java_3.8.1-7_all.deb
Files:
 3090278b860da7e6b0971a50b28fdc0a 3086 devel optional eclipse_3.8.1-7.dsc
 db746dcbb5676710926a579da7f41c15 100224 devel optional 
eclipse_3.8.1-7.debian.tar.xz
 05bb9243239544087619bae0ca3df30d 54626 devel optional eclipse_3.8.1-7_all.deb
 d3389f7275b2b526a4f36107312a0ad0 20711638 devel optional 
eclipse-jdt_3.8.1-7_all.deb
 181f7164fd2ef782024736cfd118fbd8 65457168 devel optional 
eclipse-pde_3.8.1-7_amd64.deb
 3b3075df35dd8549ec1021b25b027c01 148220 devel optional 
eclipse-platform_3.8.1-7_amd64.deb
 e1d7f0c6cde35cc34f7ce6e77044d168 33397844 devel optional 
eclipse-platform-data_3.8.1-7_all.deb
 ef44504c5e41f94e0cc82e651cc17b70 7038904 devel optional 
eclipse-rcp_3.8.1-7_amd64.deb
 23458a816d6d4c05ab0528b42d4b892f 1368978 java optional 
libequinox-osgi-java_3.8.1-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJUeNvNAAoJECHSBYmXSz6WN3sP/1lJ7GGu5NhDaZrHR5S5WApM
ust/3WYOLopQojWde3xeRpWYCLWueMu41oWk6Gi9MbMMLyc9flYiE/FtHM2tHJhX
OlXsIQueEdWax3lx+gw8DYrKkY9HBZeg/R/iXO3LIs4THJyngplipa6cHT/X/UMT
zqyYq2Fs7ZLRNcuHPdQKg4lfuWuMHhP3AdVRW5P16lnWlyg84dQx+vGnQKXaGTVI
3mdgSWnmd3ktjALIqenR3AwXUplwCEJPdFanfiH1fU6afLNkVUU3xwYCvRpnhfpS
vsj8mlJbUzatPSjm9ndFIrINtA9HNi/BPrwc7rSkt8H42TuiIjEcJqK3KGcuG9CP
FFvD4S3hVkINDNxgWU5ZgtvcPVjIUsgLEHRYuaWKm/EjDbRV7qTYdIM8VaLs+Otm
mAjH6xkBLmm5H3+jmZdNIH9kM0FtLv2VjbQLKrSr1Fv5JO59SpJU1kNMZ3aNCtOT
TtH4E6mx6+GyLYW0PrN6QtR0ODFtX/Jrto9BvVrb4ZgUtLqlpkjVl1S3XmahFtl8
ZpZYpB5NDt+KEGRZzGOSp+lfezzfLYK0HNXe6m5+MDqrvNQU5oEzn8RghC+DkcRZ
WAFiEMT29t8qi3CqvY8QvnUm11+LirughPiu0yJwwjdu0JWu6TLq7RfA+eu2qoIq
dOd5aacRQ0fSkp+orAC9
=qzXu
-----END PGP SIGNATURE-----

--- End Message ---
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to